NXOpen .NET Reference  12.0.0
NXOpen.CAE.Xyplot.Plot2D Member List

This is the complete list of members for NXOpen.CAE.Xyplot.Plot2D, including all inherited members.

AttributeType enum nameNXOpen.NXObject
CommitRecordsChange()NXOpen.CAE.Xyplot.Plot
CreateAttributeIterator()NXOpen.NXObject
CreateNote(string[] lines, NXOpen.Point2d textPosition)NXOpen.CAE.Xyplot.Plot
DateAndTimeFormat enum nameNXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)NXOpen.NXObject
DeleteRecord(int recordIndex)NXOpen.CAE.Xyplot.Plot
DeleteUserAttribute(NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
EditRecord(int nthRecordIdx, NXOpen.CAE.FTK.BaseRecord record)NXOpen.CAE.Xyplot.Plot2D
Find(string journalIdentifier)NXOpen.CAE.Xyplot.Plot
FindObject(string journalIdentifier)NXOpen.NXObject
FitAxisLimit()NXOpen.CAE.Xyplot.Plot
FitView()NXOpen.CAE.Xyplot.Plot
GetApplicationDataOfRecord(int recordIndex)NXOpen.CAE.Xyplot.Plot
GetAttributeTitlesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetBooleanUserAttribute(string title, int index)NXOpen.NXObject
GetComputationalTimeUserAttribute(string title, int index)NXOpen.NXObject
GetDeviceAndViewIndex(out int viewIndex)NXOpen.CAE.Xyplot.Plot
GetGraphs(out NXOpen.CAE.Xyplot.Graph[] graphs)NXOpen.CAE.Xyplot.Plot
GetIntegerAttribute(string title)NXOpen.NXObject
GetIntegerUserAttribute(string title, int index)NXOpen.NXObject
GetLegendTables()NXOpen.CAE.Xyplot.Plot
GetModels(NXOpen.CAE.Xyplot.ModelType type)NXOpen.CAE.Xyplot.Plot
GetNextUserAttribute(NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)NXOpen.NXObject
GetNotes()NXOpen.CAE.Xyplot.Plot
GetPdmReferenceAttributeValue(string attributeTitle)NXOpen.NXObject
GetRealAttribute(string title)NXOpen.NXObject
GetRealUserAttribute(string title, int index)NXOpen.NXObject
GetRecordCount()NXOpen.CAE.Xyplot.Plot
GetRecordDisplayVisibility(int recordIndex)NXOpen.CAE.Xyplot.Plot
GetReferenceAttribute(string title)NXOpen.NXObject
GetStringAttribute(string title)NXOpen.NXObject
GetStringUserAttribute(string title, int index)NXOpen.NXObject
GetTimeAttribute(NXOpen.NXObject.DateAndTimeFormat format, string title)NXOpen.NXObject
GetTimeUserAttribute(string title, int index)NXOpen.NXObject
GetTitles()NXOpen.CAE.Xyplot.Plot
GetUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttribute(string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeAsString(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributes(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributes()NXOpen.NXObject
GetUserAttributes(bool includeUnset)NXOpen.NXObject
GetUserAttributes(bool includeUnset, bool addStringValues)NXOpen.NXObject
GetUserAttributesAsStrings()NXOpen.NXObject
GetUserAttributeSize(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeSourceObjects()NXOpen.NXObject
GetViewBoundingBox(out NXOpen.Point3d leftBottom, out NXOpen.Point3d rightTop)NXOpen.CAE.Xyplot.Plot
HasUserAttribute(NXOpen.AttributeIterator iterator)NXOpen.NXObject
HasUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
IsOccurrenceNXOpen.NXObject
JournalIdentifierNXOpen.NXObject
NameNXOpen.NXObject
OwningComponentNXOpen.NXObject
OwningPartNXOpen.NXObject
PlotTemplateNXOpen.CAE.Xyplot.Plot
Print()NXOpen.NXObject
PrototypeNXOpen.NXObject
SaveRecords(int[] recordIndexes, string[] recordNames, string outputFileName, bool reportError)NXOpen.CAE.Xyplot.Plot
SaveRecordsToCsv(int[] recordIndex, string[] recordNames, string csvFileName, bool isWriteHeader)NXOpen.CAE.Xyplot.Plot
SetAttribute(string title, int value)NXOpen.NXObject
SetAttribute(string title, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, double value)NXOpen.NXObject
SetAttribute(string title, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, string value)NXOpen.NXObject
SetAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title)NXOpen.NXObject
SetAttribute(string title, NXOpen.Update.Option option)NXOpen.NXObject
SetBooleanUserAttribute(string title, int index, bool value, NXOpen.Update.Option option)NXOpen.NXObject
SetName(string name)NXOpen.NXObject
SetPdmReferenceAttribute(string attributeTitle, string attributeValue)NXOpen.NXObject
SetRecordDisplayVisibility(int recordIndex, bool visibility)NXOpen.CAE.Xyplot.Plot
SetReferenceAttribute(string title, string value)NXOpen.NXObject
SetReferenceAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeAttribute(string title, string value)NXOpen.NXObject
SetTimeAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type, bool @lock)NXOpen.NXObject
SubGraphCountInStackNXOpen.CAE.Xyplot.Plot
UpdateDisplay()NXOpen.CAE.Xyplot.BaseModel
WriteToTemplateFile(string inputTemplateFile)NXOpen.CAE.Xyplot.Plot
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.